%define __libtoolize :
%define momorel 5

Summary: OpenSource implementation of Service Location Protocol V2
Name: openslp

Version: 1.1.3
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/openslp/

%NoSource 0 http://umn.dl.sourceforge.net/sourceforge/openslp/openslp-1.1.3.tar.gz 3ac497507993a56d26d8235ea637b1be
Patch: openslp-1.1.3-x86_64.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: flex

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined 
by RFC 2608 and RFC 2614.  This package include the daemon, libraries, header
files and documentation

%package devel
Summary: Development tools for programs which will use the openslp library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The openslp-devel package includes the header files and static libraries
necessary for developing programs using the openslp library.

If you are going to develop programs, you should install openslp-devel.
You'll also need to have the openslp package installed.
#'

%prep
%setup -q
%patch -p1

%build
%configure --enable-slpv1 --enable-async-api
%__chmod 755 doc/html/ProgrammersGuide
%__chmod 755 doc/html/IntroductionToSLP
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}

%makeinstall

%__rm -r %{buildroot}/%{_prefix}/doc
find doc -name CVS -type d | xargs %__rm -r

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/slp.reg
%config(noreplace) %{_sysconfdir}/slp.conf
%config(noreplace) %{_sysconfdir}/slp.spi
%{_sbindir}/slpd
%{_libdir}/libslp.so.*
%{_bindir}/slptool
%doc AUTHORS COPYING ChangeLog FAQ README THANKS
%doc doc/html/IntroductionToSLP

%files devel
%defattr(-,root,root)
%{_includedir}/slp.h
%{_libdir}/libslp.so
%{_libdir}/libslp.la
%{_libdir}/libslp.a
%doc doc/html/ProgrammersGuide

%changelog
* Sat Jan 15 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.3-5m)
- enable x86_64.

* Wed Apr 14 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.3-4m)
- revise docdir permission

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.3-3m)
- pretty spec file.

* Fri Aug  1 2003 KOMATSU Shinichiro <koma2@momonga-linux.org> 
- (1.1.3-3m)
- this package is openslp, not cups ;D
  (i.e  write correct %%description and Summary,
   by obtaining them from mdk)
- add BuildRequires: flex
- use %%make

* Sat May 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.3-2m)
- %%config(noreplace)

* Fri May 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.3-1m)
- write spec for momonga
